<?php

namespace Drupal\shorten;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;



class ShortenSettingsForm extends ConfigFormBase{
   
    public function getFormId(){
        return 'shorten_urls_admin_settings';
    }
    
    protected function getEditableConfigNames(){
        return [
            'shorten_urls_admin_settings',
            ];
    }
    
    public function buildForm(array $form, FormStateInterface $form_state){
        $config = $this->config('shorten.settings');
        
        $form['shorten_overview'] = array(
        '#type' => 'checkbox',
        '#title' => $this->t('Overview button'),
        '#default_value' => $config->get('enable_overview_button'),
        );
        
        return parent::buildForm($form, $form_state);
    }
    
    public function submitForm(array &$form, FormStateInterface $form_state){
        $this->config('shorten.settings')
            ->set('enable_overview_button', $form_state->getValue('shorten_overview'))
            ->save();
        
        parent::submitForm($form, $form_state);
    }
    
}